Core - Bug # 59568

Status: Resolved Priority: Should have
Author: Stefan Neufeind Category:
Created: 2014-06-13 Assigned To:
Updated: 2014-06-18 Due date:
TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: Yes

Sprint Focus:

Subject: filelist: No context-menu for folders

Description

When in the filelist it's possible to open a context-menu for files but not for folders (to rename them or so). Opening a context-menu
for a folder in the folder-tree on the left of course works.

(Experienced on 6.2.3, but | bet it's present in 6.x.)

Related issues:
related to Core - Task # 51512: Unreadable directories cause exceptions Resolved 2013-08-29

Associated revisions

Revision ¢731cd78 - 2014-06-18 01:43 - Frans Saris

[BUGFIX] Wrong check for showing folder clickmenu

This patch fixes a wrong check that prevents the clickmenu
from showing for folders in the filelist.

Resolves: #59568

Releases: 6.3, 6.2

Change-Id: Ic1e8bb28f64717631c4b57bc44221bd1132b876e
Reviewed-on: https:/review.typo3.org/30759

Reviewed-by: Markus Klein
Tested-by: Markus Klein

Revision 5ef754be - 2014-06-18 01:43 - Frans Saris

[BUGFIX] Wrong check for showing folder clickmenu

This patch fixes a wrong check that prevents the clickmenu
from showing for folders in the filelist.

Resolves: #59568

Releases: 6.3, 6.2

Change-Id: Ic1e8bb28f64717631c4b57bc44221bd1132b876e
Reviewed-on: https://review.typo3.0rg/30792

Reviewed-by: Markus Klein
Tested-by: Markus Klein
History

#1 - 2014-06-16 21:39 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/30759

#2 - 2014-06-16 22:14 - Markus Klein
- Is Regression changed from No to Yes

Regression to #51512

#3 - 2014-06-18 01:42 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30759

#4 - 2014-06-18 01:43 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/30792

#5 - 2014-06-18 02:31 - Frans Saris
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5ef754bea5b3b997798cf3994b1bb3627069e471.
